aboutsummaryrefslogtreecommitdiffstats
path: root/sonar-ws-generator/run.sh
diff options
context:
space:
mode:
authorDaniel Schwarz <daniel.schwarz@sonarsource.com>2017-11-23 15:32:43 +0100
committerDaniel Schwarz <bartfastiel@users.noreply.github.com>2017-11-29 20:24:11 +0100
commitb8d9ebc1a94519ab3a0f285945c894b31de05c9a (patch)
treec2ec8846058adc7cf36e7629c8af67a1281c5fd3 /sonar-ws-generator/run.sh
parent554fb67ddb958cdfafb6fcd40b7d50a298e8d147 (diff)
downloadsonarqube-b8d9ebc1a94519ab3a0f285945c894b31de05c9a.tar.gz
sonarqube-b8d9ebc1a94519ab3a0f285945c894b31de05c9a.zip
Add generator of sonar-ws sources
Diffstat (limited to 'sonar-ws-generator/run.sh')
-rwxr-xr-xsonar-ws-generator/run.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/sonar-ws-generator/run.sh b/sonar-ws-generator/run.sh
new file mode 100755
index 00000000000..4513503eec6
--- /dev/null
+++ b/sonar-ws-generator/run.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Example:
+# run.sh /path/to/orchestrator.properties
+
+set -euo pipefail
+
+mvn clean package -Prun-ws-generator
+java -Dorchestrator.configUrl=file://$* -jar target/sonar-ws-generator-*-SNAPSHOT-jar-with-dependencies.jar